SdnControllerRemoveHost
SdnControllerRemoveHost
DELETE
/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}Operation ID
SdnControllerRemoveHostSince
5.3.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
sdnControllerUuidStringRequiredThe SDN controller UUID.
hostUuidStringRequiredThe host UUID.
Body Fields
vSwitchTypeStringThe virtual switch type.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKDELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}